Problem with forms and left mouse button

2014-10-09 08:53 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19664

Description

To reproduce:

1) Fill the attributes of a layer, using forms, and pass through the fields with tab key. Try to select part of the text written in the fields...

everything normal.

2) Do the same, but now, instead of passing to the next field by pressing tab, use the mouse button. Now try to select a portion of text

written in the fields, from left to right... it seems that the selection gets stuck on the right ... After giving Ok, everything back to normal.

Please see the screencast: https://dl.dropboxusercontent.com/u/5772257/qgis/forms_mouse_click_button.avi

I'm testing on Windows with QGIS master 2.5.0-94.

Associated revisions

Revision f3cf09f4 - 2014-10-13 10:31 AM - Matthias Kuhn

Fix selection after focus-in by mouse in QgsFilterLineEdit

After focusing a QgsFilterLineEdit with the mouse, the end of the selection was

"attached" to the end of the content.

This was caused by overwriting Qt's mousePressEvent, that is responsible for

handling the selection without handing back the responsibility after the focus

in event was finished.

Fix #11373

History

#1 - 2014-10-11 03:10 AM - Pedro Venâncio

This happens not only in data forms. Also happens, for example, in the filter field of Coordinate Reference System Selector.

Tested also on Linux.

#2 - 2014-10-13 01:31 AM - Matthias Kuhn

- Status changed from Open to Closed
Fixed in changeset commit:"f3cf09f4ec4daeaa7c06c2f7f4cf7e90a48a81dd".
